Bug 1419507 (CVE-2017-5595) - CVE-2017-5595 zoneminder: File disclosure due to unfiltered user-input
Summary: CVE-2017-5595 zoneminder: File disclosure due to unfiltered user-input
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5595
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1419509
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 11:34 UTC by Andrej Nemec
Modified: 2019-09-29 14:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-07 14:56:23 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-02-06 11:34:04 UTC
File disclosure and inclusion vulnerability exists in ZoneMinder due to unfiltered user-input being passed to readfile() in views/file.php which allows an authenticated attacker to read local system files (e.g. /etc/passwd) in the context of the web server user (www-data).

References:

http://seclists.org/bugtraq/2017/Feb/6

Upstream patch:

https://github.com/ZoneMinder/ZoneMinder/commit/8b19fca9927cdec07cc9dd09bdcf2496a5ae69b3

Comment 1 Andrej Nemec 2017-02-06 11:35:00 UTC
Created zoneminder tracking bugs for this issue:

Affects: fedora-all [bug 1419509]

Comment 2 Andrew Bauer 2017-02-06 13:32:33 UTC
Strange, the link above does not contain all three commits which make up this fix.

Please use this link instead:
https://patch-diff.githubusercontent.com/raw/ZoneMinder/ZoneMinder/pull/1758.patch

I don't anticipate any issues backporting this patch to the zoneminder packages currently in the fedora repos, but if there are I can assist Chuck to make it happen.


Note You need to log in before you can comment on or make changes to this bug.